package xyz.lychee.lagfixer.objects;

import org.bukkit.Chunk;
import org.bukkit.World;
import org.bukkit.entity.Entity;
import org.bukkit.event.Listener;
import org.bukkit.inventory.ItemStack;
import org.bukkit.plugin.Plugin;

public abstract class AbstractSupportNms implements Listener {
   private final Plugin plugin;

   public AbstractSupportNms(Plugin plugin) {
      this.plugin = plugin;
   }

   public abstract double getTps(int var1);

   public abstract void setDistance(int var1, int var2);

   public abstract void setDefaultDistance();

   public abstract int getViewDistance();

   public abstract int getViewSimulation();

   public abstract ItemStack setNBTValue(ItemStack var1, String var2, String var3);

   public abstract boolean hasNBTValue(ItemStack var1, String var2);

   public abstract String getNBTValue(ItemStack var1, String var2);

   public abstract ItemStack createSkull(String var1);

   public abstract void setEntityAi(Entity var1, boolean var2);

   public abstract void setRandomTickSpeed(World var1, boolean var2);

   public abstract int getTileEntitiesCount(Chunk var1);

   public abstract int averagePing();

   public abstract void setSpawnLimits(World var1, int var2, int var3, int var4, int var5, int var6, int var7, int var8);

   public Plugin getPlugin() {
      return this.plugin;
   }
}
